package com.halo.halojuhesdk.core.base;

import android.content.Context;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * Created by dream on 2016/11/10.
 * 工作Task管理类，可应用于多任务并发管理
 */

public class HjTaskManager {

    private Context mContext;
    private ThreadPoolExecutor mExcutor;

    private static long SLEEP_TIME = 5;
    public static int MOD_SINGLE = 1;
    public static int MOD_NORMAL = 3;
    public static int MOD_DOWNLOAD = 3;
    // BlockingQueue为线程安全队列
    private ArrayBlockingQueue<Runnable> runnables;

    public HjTaskManager(Context context, int excuteSize) {
        this.mContext = context;
        runnables = new ArrayBlockingQueue<Runnable>(32);
        mExcutor = new ThreadPoolExecutor(excuteSize, excuteSize, SLEEP_TIME, TimeUnit.SECONDS, runnables, handler);

    }

    RejectedExecutionHandler handler = new RejectedExecutionHandler() {
        @Override
        public void rejectedExecution(Runnable runnable, ThreadPoolExecutor threadPoolExecutor) {

        }
    };

    public <T extends AbstractTask> void add(T hjabstracktask) {
        if (hjabstracktask.getLaunchMode() == LaunchMode.updateold) {
            for (Runnable t : runnables
                    ) {
                if (t.equals(hjabstracktask)) {
                    runnables.remove(t);
                }
            }
        }
        mExcutor.execute(hjabstracktask);
    }
}
