package com.halo.halojuhesdk.core.channel;


import com.halo.halojuhesdk.core.request.SlotBean;
import com.halo.halojuhesdk.sdk.listener.HlNativeResponse;

/**
 * @author Feng Zhanao
 * @date 2018/12/28
 * @description
 */
public interface IUnifiedNativeProxyListener {
    /**
     * 广告被展示（主线程回调）
     */
    void onADLoadView(HlNativeResponse response, String adType, SlotBean slotBean, int ecpm);

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onADError(String msg, int code, String adType, SlotBean slotBean);
}
