package com.halo.halojuhesdk.sdk.listener;

/**
 * @author Feng Zhanao
 * @date 2018/7/2
 * @description
 */
public interface HlInsertAdListener {
    /**
     * 广告被展示（主线程回调）
     */
    void onDisplayAd();

    /**
     * 广告被点击（主线程回调）
     */
    void onClickAd();

    /**
     * 广告被关闭（主线程回调）
     */
    void onCloseAd();

    /**
     * 广告准备完毕（主线程回调）
     */
    void onAdReady();

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onAdError(String msg,int code);
}
