package com.halomobi.network.listeners;

import com.halomobi.network.request.ad.bean.Ad;

import java.util.List;

/**
 * 广告各种状态的回调
 *
 * @author jeven
 */
public interface AdRedirectChangListener {
    /**
     * 重定向失败
     * @param errorMsg  错误信息
     * @param errorCode 错误码
     */
    void onAdError(String errorMsg, int errorCode);

    /**
     * 重定向成功
     */
    void onXmlSuccess(String xmlStr);

}
