package com.halomobi.network.request.host;


import java.util.HashMap;
import java.util.Map;

public class RequestIpManager {
    public static final String IP_ADDRESS = "ip_address";
    static final String HOST_KEY = "host_key";
    static final String HOST_INTERVAL = "host_interval";
    static final String HOST_LAST_REQUEST = "host_last_request";
    static final long HOST_DEFAULT_INTERVAL = 86400 * 1000;
    private static RequestIpManager mInstance;
    private Map<String, String> mHostMap = new HashMap<>();

    private RequestIpManager() {
    }

    public static synchronized RequestIpManager getInstance() {
        if (mInstance == null) {
            mInstance = new RequestIpManager();
        }
        return mInstance;
    }

    /**
     * 请求IP列表
     */
    public void requestIp() {
        new RequestIpProcessor().process();
    }

    /**
     * 解析服务器返回Ip对应关系存储在内存中
     *
     * @param json 服务器返回json
     */
//    void setHostData(String json) {
//
//        if (TextUtils.isEmpty(json)) {
//            return;
//        }
//        try {
//            JSONObject jsonObject = new JSONObject(json);
//            Iterator iterator = jsonObject.keys();
//            String key;
//            JSONArray value;
//
//            while (iterator.hasNext()) {
//                ArrayList<String> values = new ArrayList<>();
//                key = (String) iterator.next();
//                value = jsonObject.getJSONArray(key);
//                for (int i = 0; i < value.length(); i++) {
//                    values.add(value.getString(i));
//                }
//                mHostMap.put(key, values);
//            }
//
//        } catch (JSONException e) {
//            e.printStackTrace();
//        }
//    }

    /**
     * 通过host获取Ip列表
     *
     * @param host 指定host
     * @return 对应ip列表
     */
//    public ArrayList<String> getIpList(String host) {
//        return mHostMap.get(host);
//    }
}
