package com.halomobi.network.request.host;


import com.halomobi.network.net.AbsNetTask;
import com.halomobi.utils.HttpUrlSetting;
import java.net.HttpURLConnection;


class RequestIpTask extends AbsNetTask {

    RequestIpTask() {
        super(ReqType.Get);
    }

    @Override
    protected byte[] getEntity() {
        return new byte[0];
    }

    @Override
    protected String getUrl(){
        return HttpUrlSetting.getRequestIpUrl();
    }

    @Override
    protected void onAddHeaders(HttpURLConnection connection) {
    }

    @Override
    public LaunchMode getLaunchMode() {
        return LaunchMode.ADD_NEW;
    }

    @Override
    public String getName() {
        return getClass().getSimpleName();
    }
}
