package com.halomobi.utils;

import com.halomobi.sdk.listener.RewardVideoListener;
import com.halomobi.network.request.ad.bean.Ad;


public class HlRewardVideoManager {
    private static HlRewardVideoManager mInstance;
    private RewardVideoListener mListener;
    public Ad mAd;
    public boolean isShow;
    public boolean isReady;

    public static HlRewardVideoManager getInstance() {
        if (mInstance == null) {
            synchronized (HlRewardVideoManager.class) {
                if (mInstance == null) {
                    mInstance = new HlRewardVideoManager();
                }
            }
        }
        return mInstance;
    }

    public void setListener(RewardVideoListener listener) {
        this.mListener = listener;
    }

    public RewardVideoListener getListener() {
        return mListener;
    }

    public void onDestroy() {
        mListener = null;
        mAd = null;
        isShow = false;
        isReady = false;
    }

}
