package com.halomobi.download;



import com.halomobi.network.net.AbsNetTask;

import java.net.HttpURLConnection;

/**
 * @author zhangjia.
 * @date 2019/11/25
 * @description  腾讯请求真实下载地址TASK
 */
public class TDownloadInfoTask extends AbsNetTask {
    private String mUrl;
    public TDownloadInfoTask(String url) {
        super(ReqType.Get);
        mUrl = url;
    }

    @Override
    protected byte[] getEntity() {
        return new byte[0];
    }

    @Override
    protected String getUrl() throws Exception {
        return mUrl;
    }

    @Override
    protected void onAddHeaders(HttpURLConnection urlConnection) {

    }
    @Override
    public LaunchMode getLaunchMode() {
        return LaunchMode.ADD_NEW;
    }

    @Override
    public String getName() {
        return getClass().getSimpleName();
    }
}
